Spell f-prot depends on net-ftp that doesn't exist (Bug #280)


Added by Bor Kraljič about 3 years ago. Updated almost 3 years ago.


Status:New Start date:10/13/2011
Priority:Normal Due date:
Assignee:- % Done:

0%

Category:-
Target version:-
Grimoire:Z-Rejected

Description

$ gaze DEPENDS f-prot 
depends perl &&
depends net-ftp
$ gaze version net-ftp
Unknown Spells or Sections
--------------------------
net-ftp

Issue hierarchy

Bug #251: [master bug] dependency on nonexistent spellNew

Bug #280: Spell f-prot depends on net-ftp that doesn't existNew


History

Updated by Tommy Boatman almost 3 years ago

A switch from net-ftp to netkit-ftp would likely solve this. However there are several ftp clients available - axyftp, gftp, netkit-ftp, lftp, tnftp, ncftp, etc.

Would it make more sense to create a provides FTP and give users a choice?

Updated by Ladislav Hagara almost 3 years ago

ChangeLog:
2005-02-24 Thomas Houssin <> * perl-cpan/Net-FTP renamed to perl-libnet

We haven't touch f-spot for years. Is it possible to cast it or even summon it? If somebody need it we should update it and test it.

Updated by Tommy Boatman almost 3 years ago

It summons and verifies fine.

Error: Unable to include perl module: 'HTTP:::Request'.
Please install this module and try re-running this script.
(Hint: man CPAN)

Fatal error. Exiting...
<castfs stuff>
Installing f-prot into the system

This doesn't trip sorcery up and it installs the docs and libs. Indications are that it will still work if the dependencies are repaired (I compiled against netkit-ftp to test).

Also available in: Atom PDF